import { service } from "./request";

export function withdrawCalcFee(params) {
    return service({
        url: `/wallet/withdraw/calcFee`,
        method: "post",
        data: params,
    });
}

export function payCalcFee(params) {
    return service({
        url: `/wallet/pay/calcFee`,
        method: "post",
        data: params,
    });
}

export function getPayConfig(params) {
    return service({
        url: `/wallet/pay/getConfig`,
        method: "post",
        data: params,
    });
}

// ---- 充值 ----
export function getTokenRechargeAddress(params) {
    return service({
        url: `/currency/getTokenRechargeAddress`,
        method: "post",
        data: params,
    });
}

export function payNftMysteryBoxWithBalance(params) {
    return service({
        url: `/wallet/pay/payNftMysteryBoxWithBalance`,
        method: "post",
        data: params,
    });
}

// ---- 提现 ----